Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Apr 2023 21:52:25 +0300

> From: João Távora <[email-masked]>
> Date: Tue, 11 Apr 2023 19:31:09 +0100
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked]
> 
> > See above.  Given the problems I mentioned, I'm allowed to doubt that
> > you yourself understand the changes well enough to vouch for them.
> > And even if you did vouch, my gray hair won't believe you.  So I
> > prefer to go for much safer, if slightly less clean, changes.  I hope
> > one of the two alternatives I suggested will be acceptable.
> 
> If this change can't go into emacs-29, I think it's better to add
> an M-x eglot-update to eglot.el.

That's the worst of all worlds.

What is the problem with the two possible solutions I suggested?